Aller au contenu

condenser_api.get_market_history ​

Purpose ​

Retourne l'historique du marché (market history) pour le marché interne SBD:STEEM. Paramètres : bucket_seconds:int ; start:timestamp ; end:timestamp

bucket_seconds (int)start (timestamp)end (timestamp)
15"2018-01-01T00:00:00""2018-01-02T00:00:00"Interroge l'historique du marché entre le 1er janvier 2018 et le 2 janvier 2018, segmenté par 15 secondes.
60"2018-01-01T00:00:00""2018-01-02T00:00:00"Interroge l'historique du marché entre le 1er janvier 2018 et le 2 janvier 2018, segmenté par une minute.
300"2018-01-01T00:00:00""2018-01-02T00:00:00"Interroge l'historique du marché entre le 1er janvier 2018 et le 2 janvier 2018, segmenté par cinq minutes.
3600"2018-01-01T00:00:00""2018-01-02T00:00:00"Interroge l'historique du marché entre le 1er janvier 2018 et le 2 janvier 2018, segmenté par une heure.
86400"2018-01-01T00:00:00""2018-01-02T00:00:00"Interroge l'historique du marché entre le 1er janvier 2018 et le 2 janvier 2018, segmenté par un jour.

Voir aussi : market_history_api.get_market_history

Parameters ​

PARAMETERS
json
[
  0,
  "1970-01-01T00:00:00",
  "1970-01-01T00:00:00"
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_market_history",
    "params": [
      15,
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_market_history",
    "params": [
      60,
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00"
    ],
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_market_history",
    "params": [
      300,
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00"
    ],
    "id": 1
  }'

Example 4 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_market_history",
    "params": [
      3600,
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00"
    ],
    "id": 1
  }'

Example 5 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_market_history",
    "params": [
      86400,
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "open": "1970-01-01T00:00:00",
    "seconds": 0,
    "steem": {
      "high": 0,
      "low": 0,
      "open": 0,
      "close": 0,
      "volume": 0
    },
    "non_steem": {
      "high": 0,
      "low": 0,
      "open": 0,
      "close": 0,
      "volume": 0
    }
  }
]